View Issue Details

IDProjectCategoryView StatusLast Update
0001839SymmetricDSImprovementpublic2014-07-29 16:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001839: Global BSH script for transforms
DescriptionImprove BeanShell transform scripts by allowing for a global script that is included in all scripts. The user can put common functions into the global script and reference them from column transforms. Use a parameter named bsh.transform.global.script that can be set in the database.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4efac6e8

2014-07-28 10:01:23

erilong

Details Diff
0001839: Global BSH script for transforms
0001839
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master 39993cd3

2014-07-28 10:07:22

erilong

Details Diff
0001839: Global BSH script for transforms
0001839
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2014-07-28 09:58 elong New Issue
2014-07-28 09:58 elong Status new => assigned
2014-07-28 09:58 elong Assigned To => elong
2014-07-28 11:00 Changeset attached => SymmetricDS trunk r8508
2014-07-28 11:00 Changeset attached => SymmetricDS trunk r8509
2014-07-28 12:58 elong Status assigned => resolved
2014-07-28 12:58 elong Fixed in Version => 3.6.3
2014-07-28 12:58 elong Resolution open => fixed
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 39993cd3
2015-07-30 21:49 Changeset attached => SymmetricDS master 4efac6e8